Skip to content

Conditional blocks that use a segment, list, field or tag

GET
/api/v1/workspaces/{workspace}/visibility/usage
curl --request GET \
--url 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/visibility/usage?kind=segment' \
--header 'Authorization: Bearer <token>'

Permission: subscribers:view

workspace
required

Workspace slug

string
/^[a-z0-9][a-z0-9-]{1,62}$/

Workspace slug

kind

What the rules refer to

string
Allowed values: segment list field tag

What the rules refer to

ref

A segment or list id, a field key or a tag

string
<= 200 characters

A segment or list id, a field key or a tag

OK

Media typeapplication/json
object
blocks
required
integer format: int64
emails
required
Array<object>
object
blocks
required
Array<string>
campaignId
required
string
name
required
string
paths
required
Array<Array<integer>>
scheduledAt
string format: date-time
status
required
string

Example generated

{
"blocks": 1,
"emails": [
{
"blocks": [
"example"
],
"campaignId": "example",
"name": "example",
"paths": [
[
1
]
],
"scheduledAt": "2026-04-15T12:00:00Z",
"status": "example"
}
]
}

Error

Media typeapplication/problem+json
object
code

Stable error code, e.g. permission_denied

string
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object>
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

helpers

Members who hold the missing permission

Array<string>
instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
meta
object
key
additional properties
permission

The missing permission key

string
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank

Example

{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}